
UPDATING THE PLUGIN

1. Redownload the plugin from Codecanyon to get the latest version of the plugin
2. Before updating, you can back up your current flipbooks with Real3D Flipbook > Inport / Export > Download JSON, or you can back up the database
3. Install real3d-flipbook.zip, and choose "Replace current with uploaded"

IMPORTANT NOTICE

Real3D FlipBook WordPress Plugin is exclusively available on CodeCanyon. 
To access all features, updates, and support, please use the official version. 
Plugins from unauthorized sources pose security risks, may not function properly, and could fail to update due to strict license checks.

CHANGELOG

=================
version 4.16.4
date 10.12.2025.
=================
* New: Password protected flipbook posts
* Fix: REST api routes create and update
* Fix: Socurity update

=================
version 4.16.3
date 11.11.2025.
=================
* Fix: Search results for spreads with cover

=================
version 4.16.2
date 10.11.2025.
=================
* Fix: Search not working if pages are spreads with cover
* Improvement: Thumbnail view page numbers are in outer conrners

=================
version 4.16.1
date 7.11.2025.
=================
* Fix: Autoplay resume for Youtube videos

=================
version 4.16
date 29.10.2025.
=================
* Fix: Autoplay videos on pages
* Improvemet: Sharper pages when book is small

=================
version 4.15.1
date 25.10.2025.
=================
* Fix: One page flipbook not loading

=================
version 4.15
date 24.10.2025.
=================
* Fix: RTL mode page loading bug
* Fix: Page scrolling after opening thumbnails
* Improvement: Thumbnails show as spreads
* New: Showtcode parameter rtl="true" for enabling right to left mode

=================
version 4.14
date 7.10.2025.
=================
* Fix: HTML content layer and PDF text layer for "3d" and "2d" view modes 
* Fix: Text deselect on pages
* Fix: Bug when sound is diabled and button sound is disabled
* New: Highlight active thumbnail
* New: Accent color option for thumbnail hightlight

=================
version 4.13
date 3.10.2025.
=================
* Improvement: Faster page loading
* Improvement: Flip animation performance

=================
version 4.12
date 12.8.2025.
=================
* Fix: Page resolution for PDF Flipbook

=================
version 4.11.4
date 11.7.2025.
=================
* Fix: Category shortcode
* Fix: Broken link on Settings page

=================
version 4.11.2
date 11.6.2025.
=================
* Fix: Toggle single page / double page in view modes 3d & 2d

=================
version 4.11.1
date 10.6.2025.
=================
* Fix: PHP error for PHP version < 7.4

=================
version 4.11
date 7.6.2025.
=================
* Fix: No cover in right to left mode
* Fix: Thumbnails view close button
* Improvement: Page loading optimizations
* Fix: Background music not playing
* Fix: Page HTML not loading when start page not 1
* Fix: Page items have wrong settings when copy pasting flipbook pages
* Fix: Preview pages for logged out users
* Fix: Search on start
* Fix: Lightbox opens on empty page
* Improvement: Performance optimization

=================
version 4.10.3
date 23.5.2025.
=================
* Fix: Thubmnail image upload location
* Fix: Fullscreen on iOS
* Fix: Bug with stopping youtube videos on pages
* Improvement: Prevent website pinch zoom when flipbook is fullscreen or lightbox 
* Improvement: Prevent auto hiding address bar on iOS when flipbook is fullscreen or lightbox 

=================
version 4.10.2
date 22.5.2025.
=================
* Fix: Flipbook not loading on mobile

=================
version 4.10.1
date 22.5.2025.
=================
* Fix: Youtube not stopping after lightbox close
* Fix: Size of share buttons
* Fix: Tooltip color and position
* Improvement: Border for toolbar and popups
* Improvement: Sharper shadow for WebGL mode
* Improvement: Rendering performance

=================
version 4.10
date 15.5.2025.
=================
* Improvement: Faster page loading
* Improvement: Rendering performance
* Improvement: PDF auto links detects links without www, http, https 
* Improvement: PDF text search performance 

=================
version 4.9.8
date 8.5.2025.
=================
* Fix: Bug with saving flipbook thumbnail image

=================
version 4.9.7
date 8.5.2025.
=================
* Fix: Settings for navigation arrows
* Fix: Last page not loading when Cover is disabled

=================
version 4.9.6
date 5.5.2025.
=================
* Improvement: Pause background music when video or audio on the page starts to play
* Fix: Pages cut off in view modes "3d" and "2d"
* Fix: Logo image covering the book

=================
version 4.9.5
date 1.5.2025.
=================
* Fix: Saving flipbook options
* Fix: License activation bug

=================
version 4.9.4
date 17.4.2025.
=================
* Fix: Toggle fullscreen with ESC
* Fix: Added missing translations for search results
* Fix: Preview pages bug

=================
version 4.9.3
date 1.4.2025.
=================
* New: Option to Use different PDF on mobile

=================
version 4.9.2
date 26.3.2025.
=================
* Fix: Zoom Pan in mode webgl

=================
version 4.9.1
date 20.3.2025.
=================
* Fix: Text rendering on RTL websites

=================
version 4.9
date 19.12.2024.
=================
* New: Share copy link
* New: Scale cover option for "webgl" mode - make double with cover flipbook from pages that are all same size 
* New: Page caption - if page has caption, the icon for viewing the caption on hover will be displayed on the page 
* New: Filter flipbooks by category on the Flipbooks page
* New: Flipbook automatically fits to width or height based on single page or double page view
* Improvement: Optimized shortcode rendering
* Improvement: Optimized saving of flipbook options
* Fix: Thumbail size in grid view
* Fix: Prevent mouse zoom when flipbook is in iframe and not fullscreen
* Fix: Lightbox start page
* Fix: Page items z index
* Fix: Page elements when auto detect PDF links

=================
version 4.8.4
date 6.11.2024.
=================
* Fix: CSS class .hidden renamed to .flipbook-hidden

=================
version 4.8.3
date 5.11.2024.
=================
* Fix: Flipbook Import / Export

=================
version 4.8.2
date 24.10.2024.
=================
* Fix: Saving flipbook options bug caused by other plugins triggering multiple post form submits 

=================
version 4.8.1
date 24.10.2024.
=================
* Fix: Saving flipbook Table of Contents

=================
version 4.8
date 23.10.2024.
=================
* Fix: Unable to save flipbook with large number of pages (it was required to increase PHP max_input_vars)
* Fix: Menu button Tools not visible in Firefox
* Fix: PDF flipbook with 2 pages
* Improvement: Table of Contents styling

=================
version 4.7.3
date 26.9.2024.
=================
* Fix: Lightbox start page in Right to left mode

=================
version 4.7.2
date 23.9.2024.
=================
* Fix: Button "Toggle single page"

=================
version 4.7.1
date 19.9.2024.
=================
* Fix: Last page PDF flipbook

=================
version 4.7
date 19.9.2024.
=================
* New: Toggle Single page / Double page for view mode "3d" and "2d"
* New: Removed jQuery dependency from front end
* Improvement: Text search
* Fix: Single page view
* Fix: Lightbox start page

=================
version 4.6.7
date 9.8.2024.
=================
* New: Option "searchResultsThumbs"
* Improvement: Memory usage optimization

=================
version 4.6.6
date 1.8.2024.
=================
* Fix: PDF flipbook page loading

=================
version 4.6.5
date 5.7.2024.
=================
* Fix: Security update

=================
version 4.6.4
date 4.7.2024.
=================
* New: View actived licenses and deactivate licenses here https://verify.real3dflipbook.net/

=================
version 4.6.1
date 2.7.2024.
=================
* Fix: License activation

=================
version 4.6
date 28.06.2024.
=================
* Improvement: Flipbook thumbnail saved as webp
* Improvement: Keep page editor items after replacing PDF
* Improvement: Edit flipbook page performance

=================
version 4.5.1
date 18.06.2024.
=================
* New: Option to open PDF links in spotlight / lightbox (General > Page Links Target)

=================
version 4.5
date 14.06.2024.
=================
* Fix: Option PDF Auto links not working for flipbooks converted with PDF Tools
* Fix: PDF flipbook not loading when RequireJS is used on the page
* Fix: Toggle fullscreen icon does not change on iOS
* Fix: Video does not pause in view mode "scroll" when scrolled page goes outside of view

=================
version 4.4.2
date 26.05.2024.
=================
* Fix: PDF Tools Addon error when converting

=================
version 4.4
date 22.05.2024.
=================
* Fix: Single page mode can flip beyond last page
* Improvement: Optimized script loading

=================
version 4.3.9
date 22.05.2024.
=================
* Fix: One page JPG flipbook not working

=================
version 4.3.8
date 22.05.2024.
=================
* Fix: CSS issue with PDF text layer
* Fix: PDF Auto links

=================
version 4.3.7
date 21.05.2024.
=================
* Fix: PDF links target not working

=================
version 4.3.6
date 20.05.2024.
=================
* Fix: Flipbook lightbox blinks and disappears

=================
version 4.3.5
date 16.05.2024.
=================
* Fix: Bulk edit flipbook posts deletes options from flipbook
* Fix: Errors caused by cached scripts

=================
version 4.3.4
date 14.05.2024.
=================
* Fix: Table of Contents from PDF outline

=================
version 4.3.3
date 14.05.2024.
=================
* Fix: PHP 8.3 warning

=================
version 4.3.2
date 13.05.2024.
=================
* Fix: Security issue fixed

=================
version 4.3.1
date 13.05.2024.
=================
* Fix: PDF link target

=================
version 4.3
date 11.05.2024.
=================
* Fix: PDF Flipbook bug
* Fix: iOS fullscreen shows warning

=================
version 4.2
date 10.05.2024.
=================
* Fix: PDF Flipbook rendering bug
* Fix: PDF links not working in some cases
* New: Option to enable / disable Current page on mobile
* New: Option to enable / disable Tools menu

=================
version 4.1
date 03.05.2024.
=================
* Fix: Fullscreen mode flipbook cut off
* Fix: Broken flipbook permalinks

=================
version 4.0
date 02.05.2024.
=================
* Improvement: Updated to PDF.js 3.11.174
* Improvement: Text selection for PDF flipbooks enabled by default
* Fix: Fullscreen on iOS
* Fix: Double click zoom
* Fix: Flip pages with touch swipe
* Other bug fixes
* Performance improvements

=================
version 3.83
date 19.04.2024.
=================
* Fix: Fullscreen mode cut off

=================
version 3.82
date 17.04.2024.
=================
* New: Container ratio option
* New: Editable Flipbook permalink structure

=================
version 3.81
date 17.04.2024.
=================
* Fix: Duplicate flipbook
* Fix: Current page not showing
* New: Default deep linking prefix is post slug if deep linking is enabled

=================
version 3.80
date 16.04.2024.
=================
* Fix: Flipbook thumbnails overwriting

=================
version 3.79
date 12.04.2024.
=================
* Improvement: Share menu moved next to Share Button
* Fix: Table of Contents with scrollbar

=================
version 3.78
date 11.04.2024.
=================
* Fix: Single page Mode
* New: Tools menu button, with submenu

=================
version 3.77
date 10.04.2024.
=================
* Fix: View mode "swipe" not working

=================
version 3.76
date 10.04.2024.
=================
* Improvement: Performance of JPG flipbook
* Fix: "scroll" option missing in Settings > Mobile > View mode

=================
version 3.75
date 05.04.2024.
=================
* Fix: Audio and video elements not visible if autoplay disabled
* Improvement: Code optimizations

=================
version 3.74
date 03.04.2024.
=================
* New: Resize flipbook container to fit double page flipbook on desktop and single page flipbook on mobile

=================
version 3.73
date 03.04.2024.
=================
* Fix: Right to left mode in view mode 3d, 2d, simple
* Fix: Stopping iframes after page flip in view mode 3d, 2d, simple

=================
version 3.72
date 02.04.2024.
=================
* Fix: Saving HTML content for flipbook pages
* New: Tooltip for toolbar

=================
version 3.71
date 02.04.2024.
=================
* Improvement: Navigation arrows redesign
* Improvement: Thumbnails view redesign

=================
version 3.70
date 28.03.2024.
=================
* New: Support for translation of all strings with .po .mo files
* New: Turkish translation

=================
version 3.69
date 22.03.2024.
=================
* Fix: Duplicate flipbook ID-s when multiple users create flipbooks at the same time
* Fix: Conflict with dflip plugin

=================
version 3.68
date 20.03.2024.
=================
* Fix: Use global settings when auto converting PDF links to flipbooks

=================
version 3.67
date 19.03.2024.
=================
* Fix: Flipbook access woo_subscription 
* New: Insert flipbook popup - select flipbook thumbnail
* New: Option to resume reading for logged in users

=================
version 3.66
date 16.03.2024.
=================
* New: Support for Preview Mode Addon - option to show first x number of pages, based on condition (logged in)

=================
version 3.65
date 15.03.2024.
=================
* Fix: Scrollbar on Table of Contents and Thumbnails
* Fix: Video item autoplay on iOS
* New: Option to select flipbook thumbnail image in Insert flipbook popup in classic editor
* New: Shortcode parameter "previewpages" used to show flipbook with first x number of pages

=================
version 3.64
date 10.03.2024.
=================
* Fix: Saving global settings
* Fix: Table of Contents from PDF outline
* Improvement: Code optimizations

=================
version 3.63
date 8.3.2024.
=================
* Fix: Pinch zoom on mobile
* Fix: Flipbook zooms when fast clicking on navigation arrows
* Fix: Missing button for removing bookmarked page

=================
version 3.62
date 6.3.2024.
=================
* Fix: flipbooks not visible in WooCommerce > My Account

=================
version 3.61
date 1.3.2024.
=================
* New: Option to open links to PDF files <a href="...pdf"></a> in Real3D Flipbook lightbox instead of opening PDF in new tab
* New: Option to render shortcodes [pdf-embedder], [dflip], [wonderplugin_pdf], [pdfjs-viewer], [3d-flip-book] in Real3D Flipbook

=================
version 3.60
date 28.2.2024.
=================
* Fix: Left page not visible on iOS, when using mode 3d or 2d
* Fix: HTML content and page items not working in PDF flipbook

=================
version 3.59
date 27.2.2024.
=================
* Fix: Single page mode when odd number of pages
* Fix: 2d mode blurry pages when flipbook is small
* Fix: Right to left mode when book has one page

=================
version 3.58
date 23.2.2024.
=================
* Fix: Table of Contents from PDF, page numbers
* Fix: Prevent page flip after pinch zoom
* Fix: Prevent double click zoom during page flip
* Fix: Flipping pages with arrows in mode 3D 
* Fix: Printing flipbook pages when flipbook has no front cover

=================
version 3.57
date 22.2.2023.  
=================
* Fix: Table of Contents from PDF, page numbers
* Fix: Prevent page flip after pich zoon
* Fix: Prevent double click zoon during page flip

=================
version 3.56
date 21.2.2023.  
=================
* New: Help page
* New: "fit to parent" options for container size
* New: Option for custom slug prefix, to replace default "r3d" in post permalink
* Improvement: Shortcode parameter "class" will force mode "lightbox" and remove thumbnail

=================
version 3.55
date 3.2.2023.  
=================
* Fix: Flippinjg pages with arrows in mode 3D 
* Fix: Creating new flipbook from images 

=================
version 3.54
date 1.2.2023.  
=================
* Fix: Plugin zip could not be installed in WordPress 6.4.3
* Fix: Printing flipbook pages when flipbook has no front cover

=================
version 3.53
date 23.1.2023.  
=================
* Fix: Hover color for floating buttons
* New: Support for spotlight page items - requires Page Editor Addon 1.3
* Fix: Keep page HTML content and page items when converting with PDF Tools Addon

=================
version 3.52
date 16.1.2023.  
=================
* Fix: Hover color for menu buttons
* Fix: Table of contents sub items
* Fix: Page click and drag on mobile
* Improvement: Updated share icon
* Fix: Page rearrange in editor
* Fix: Flipbook from password protected PDF-s

=================
version 3.51
date 10.1.2024.  
=================
* Fix: Password protected PDF
* Fix: Hover color for menu buttons
* Fix: Table of contents sub items

=================
version 3.50
date 14.12.2023.  
=================
* Improvement: Performance optimizations
* Fix: Bug with OffscreenCanvas undefined on iOS

=================
version 3.49
date 6.12.2023.  
=================
* Fix: Search result links in right to left mode
* Fix: First page not visible when single page and right to left mode
* Fix: Missing translation strings

=================
version 3.48
date 5.12.2023.  
=================
* Fix: Missing interactive elements on flipbook pages
* Fix: Responsive view webgl mode when right to left mode and deep linking enabled
* New: Shortcode param "title", show or hide book title in lightbox mode

=================
version 3.47
date 30.11.2023.  
=================
* Fix: Missing icons for Download pages and Download PDF

=================
version 3.46
date 29.11.2023.  
=================
* Fix: PDF links shadow
* Fix: Arrow navgation in fullscreen

=================
version 3.45
date 22.11.2023.  
=================
* Improvement: Icon front replaced with SVG icons
* Improvement: Updated Font Awesome icons

=================
version 3.44
date 20.11.2023.  
=================
- bug fixes
- security update

=================
version 3.43
date 37.10.2023.  
=================
* Improvement: Faster page loading in viewMode "webgl"
* Improvement: Faster page loading for PDF flibpooks
* Fix: Disable page scroll on mobile when lightbox is active
* Fix: Disable page flip if another flipbook is in fullscreen or lightbox 

=================
version 3.42
date 23.10.2023.  
=================
* New: spotlight feature - open image, mp4 or youtube in lightbox by clicking on page element
* Improvement: disable flipbook when outside of viewport
* Fix: scroll mode first page loading

=================
version 3.41
date 5.10.2023.  
=================
* Improvement: 3d view mode performance
* Fix: lightbox flipbook opening with deep linking

=================
version 3.40
date 25.9.2023.  
=================
* New: viewMode "scroll", vertical scroll mode that works like tradiitonal PDF viewers
* Fix: minified scripts in js/libs folder

=================
version 3.39
date 15.8.2023.  
=================
* Fix: search results display
* Fix: swipe mode book resize
* Fix: click area for page flip in single page mode
* Improvement: faster page loading, only flipbook.min.js is enqueued, other scripts are loaded dynamically

=================
version 3.38
date 7.6.2023.  
=================
* Improvement: when PDF Tools Addon is active, show button "Convert with PDF Tools" for PDF flipbook
* Fix: changing lightbox thumbnail height for image flipbook

=================
version 3.37.1
date 28.5.2023.  
=================
* Fix: Table of Contents page numbers

=================
version 3.37
date 3.5.2023.  
=================
* New: GA4 support for Google Analytics
* New: support for PDF Tools 1.2 - convert PDF to JPG when PDF is selected
* New: taxonomy template for flipbook category
* Improvement: single button for selecting flipbook source (select PDF or images)
* Fix: "undefined" text showing on page with "iframe" item
- bug fixes
- perforance improvements

=================
version 3.36
date 25.7.2022.  
=================
* Fix: detection of iPad as mobile
* Fix: print page, download page
* Fix: webgl mode, jpg flipbook not working
* Fix: page with category shortcode cannot be edited in Elementor 

=================
version 3.35
date 21.6.2022.  
=================
* Fix: PDF Flipbook crashing on iOS
* Improvement: PDF Flipbook pages are converted to image and cached, webp used if afailable
* New: added option Autoplay Loop
* Fix: embed.js - decoding htmlContent 
* Fix: disable zoom while page swipe - swipe mode
* Fix: Menu buttons > Print > PDF File for printing
* Fix: lightbox close when click outside for "swipe" mode and 1 page flipbooks
* Fix: lightbox mode hide scrollbars without jumping to top of the page
* New: shortcode attributes order, orderby for sorting flipbooks from category
* Fix: print page

=================
version 3.34
date 25.2.2022.  
=================
* Fix: "3d" mode bug (flipbook not working if Single page mode is enabled)
* New: option General > PDF Auto links - automatically create links from text in PDF (disabled by default)
* New: link opacity
* Fix: btnClose added to menu buttons, for title change

=================
version 3.33
date 14.1.2022.  
=================
* Fix: print all pages (print PDF) in Safari
* Improvement: PDF search results
* Fix: unique taxonomy names
* Fix: saving option background music mp3
* New: option corner curl
* New: custom flipbook permalink
* New: option to disable flipbook permalink

=================
version 3.32
date 23.11.2021.  
=================
* New: link flash animation
* Fix: options UI > Button > Padding Vertical, UI > Button > Padding Horizontal
* Fix: thumbnails position after opening bookmarks
* Fix: text search highlight color
* Fix: share on WhatsApp on desktop 
* Fix: webgl mode
* Fix: flip sound

=================
version 3.31
date 19.11.2021.  
=================
- support for Page Editor Add-on version 1.1
* Fix: fullscreen mode flipbook

=================
version 3.30
date 17.11.2021.  
=================
* New: option backgroundMusic - URL of -mp3 file
* New: option matchProtocol - if pdfUrl and image URL-s will automatically use the same protocol as  the page

=================
version 3.29
date 11.11.2021.  
=================
* Fix: responsive view - go to last page if no back cover
* Improvement: WebGL mode book thickness

=================
version 3.28
date 4.11.2021.  
=================
* Fix: go to last page when single page view and no back cover
* Fix: print pages - set images to be 100% width of the paper

=================
version 3.27
date 24.10.2021.  
=================
* Fix: improved flipbook loading time by loading only icons that are used instead of entire icon font
* Fix: conflict with theme Font Awesome if another version is used
* Fix: faster page loading

=================
version 3.26
date 23.10.2021.  
=================
* Fix: js error on mobile
* New: option Front Cover - disable to displaying only inner pages (1-2, 3-4, ...) 
* New: option PDF Text Layer - if text layer will be rendered, disable for faster page load, enable for text selection and text search

=================
version 3.25.1  
date 8.10.2021.  
=================
Fix - saving page elements created with Page Editor add-on

=================
version 3.25  
date 5.10.2021.  
=================
new - taxonomy "r3d_author" 
new - shortcode parameter "num" - number of flipbooks to show 
new - shortcode parameter "author" - show flipbooks from author
new - option to change author of flipbook post
new - option "access" ( flipbook direct link - "full" - everyone, "woo_subscription" - only users with WooCommerce subscription )	
new - option logoUrlTarget
fix - flipbook category shortcode - show unlimited number of books from category


=================
version 3.24  
date 24.9.2021.  
=================
* New: more optimized page loading
* New: start loading Flipbook only after flipbook becomes visible on the screen
* Fix: flipbook working with tabs
* Fix: Flipbook crashing in Safari 15
* Fix: converting old flipbooks to posts
* Fix: WhatsApp button settings were missing in Real3D Flipbook > Settings > Menu buttons

=================
version 3.23  
date 31.8.2021.  
=================
* Fix: PDF rendering issues of some special characters
* Fix: option Mobile > Mode was not working
* New: support for new add-on Page Editor for Real3D Flipbook

=================
version 3.22  
date 6.7.2021.  
=================
* Fix: print PDF
* Fix: removed Share on Google plus
* New: share on WhatsApp button
* New: option to change fliobook slug
* New: menu page with links to all available add-ons

=================
version 3.21  
date 11.6.2021.  
=================
* Fix: Flipbook permalink not working

=================
version 3.20.1  
date 3.6.2021.  
=================
* Fix: converting old flipbooks to posts

=================
version 3.20  
date 21.4.2021.  
=================
* Fix: Lightbox CSS class
* Fix: pdf.worker.min.js path includes current plugin version
* New: function window.r3d_run() for initialising flipbooks, e.g. after ajax call
* Fix: multiple Lightbox flipbooks - close with ESC

=================
version 3.19  
date 21.4.2021.  
=================
* New: flipbook post author
* New: lightbox options - link color, link color hover, show date
* New: shortcode parameter "cat" dispalys all flipbooks of selected category as lightbox
* New: flipbook categories
* New: link to flipbook - post with full page flipbook
* New: flipbooks are now saved as custom post type r3d
* New: options pdf link color, pdf link color hover
* Fix: PDF URL input 
* Fix: loading text
* Fix: initial zoom webgl

=================
version 3.18  
date 5.3.2021.  
=================
-fix - print single page
-fix - lightbox click sometimes not opening the flipbook
-fix - admin page bug with page reload after ajax response
-fix - some PDF rendering issues fixed by updating pdf.js
-fix - scrolling to top after closing lightbox
-fix - elements covering fullscreen flipbook on iOS
-new - option Settings > Advanced > User role - select which user role can manage flipbooks (admin, editor, author)
-new - shortcode parameter "thumbalt" to add alt attribute to flipbook thumbnail image

=================
version 3.17.1  
date 22.6.2020.  
=================
-fix - "lightbox close on click outside" bug

=================
version 3.17  
date 1.6.2020.  
=================
-fix - responsive view flip to last page, current page number
-fix - 3d mode rtl odd pages fix
-fix - text search for JSON pages
-fix - flip sound on first page flip
-new - password protected PDF - prompt ask for password

=================
version 3.16.1  
date 12.5.2020.  
=================
fix - go to page

=================
version 3.16  
date 11.5.2020.  
=================
fix - PDF search multiple words
fix - toggle icons
fix - icons hover color
fix - freezing in WebGL mode when Deep Linking is active
new - option showTitle - displays book title above or below the book lightbox thumbnail
new - close lightbox with back button
new - option hideThumbnail for lightbox flipbook

=================
version 3.15  
date 6.5.2020.  
=================
-fix - editor warning
-fix - table of content from PDF
-new - move book with arrows when zoomed
-fix - PDF search performance 

=================
version 3.14.1  
date 23.4.2020.  
=================
-fix - page brightness

=================
version 3.14  
date 23.4.2020.  
=================
-fix - disable text selection if select tool is not active
-new - option to disable right click menu on book
-new - option to disable page turn with swipe gesture

=================
version 3.13.1  
date 6.4.2020.  
=================
-fix - back cover thumbnail 

=================
version 3.13  
date 4.4.2020.  
=================
-fix - 2d & 3d & swipe mode bug when deep linking is enabled
-fix - go to page for 1 page view in mode webgl
-fix - HTML content for mode 3d & 2d
-improvement - auto convert old dataURL flipbook thumbnails to images when flipbook admin page is opened

=================
version 3.12.1  
date 27.3.2020.  
=================
-fix - lightbox close with ESC

=================
version 3.12  
date 20.3.2020.  
=================
-new - import / export global flip books settings
-new - book covers show in flip books list
-fix - 3d mode odd number of pages
-fix - HTML content
-fix - one page flipbook landscape mode

=================
version 3.11  
date 21.2.2020.  
=================
-new - support for new Addon "PDF Tools for Real3D Flipbook" 
-new - override flipbook options via url params, param begins with "r3d-", example r3d-viewMode=swipe
-new - option "Mobile" -> "Mode"
-new - RTL layout for Table of Contents
-new - open search on start, search term on start
-new - option "Lightbox background image"
-new - option "Lightbox background pattern"
-new - option "Mobile" -> "PDF page size small"
-new - default value for option "PDF page size small" changed to 1500
-fix - import from json
-fix - single page mode and RTL
-fix - bulk trash flipbooks
-fix - Table of Content from PDF outline
-fix - PDF search multiple words at once
-fix - prevent multiple lightbox flip books open at once

=================
version 3.10
=================
-fix - lightbox thumbnail not generating from PDF
-fix - removed old option "fit to parent"
-fix - font-awesome icons for share buttons
-option lightboxShowMenu - show menu while loghtbox is loading - to be able to close loghtbox before it loads
-fix - option for book info on lightbox thumbnail hover - disabled by default
-bug fixes
-performance improvements

=================
version 3.7
=================
-bug fix - preloader not hiding
-new - option "layout" for UI - available layouts 1-4
-new - skin "gradient"
-new - added icon set Material
-new - more options for UI customisation - top menu bar, floating menu bar, position buttons left, right or center, top or bottom, set button order
-new - open lightbox flipbook to specific page via deep linking (url hash)
-bug fix - crashing of pdf flip book on iOS 12
-improvement -  performance and page loading time of pdf flip book

=================
version 3.6
=================

-bug fix - unable to create new books

-bug fix - enable / disable menu buttons on mobile

-bug fix - right to left mode - thumbnails and table of content reversed

-bug fix - share via email - url from options

-updated to latest version of three.js

-bug fix - sorting flip books by name and date

-bug fix - html content on pages

-new - pdf to jpg conversion

-bug fix - pdf loading time

-new - global options

-bug fix - text search, text selection

-add flipbooks from gutenberg blocks editor



=================
version 3.5
=================

-bug fixes 

-new - colour picker with alpha channel to admin panel

-added descriptions to plugin options

-match protocol for resources to prevent cross origin errors caused by different protocol

-create custom table of content

-support for embedded PDF outline


=================
version 3.4
=================

-security update

-bug fix - Chinese characters

-fix - lightbox right to left 3d, 2d, swipe

-fix - start page lightbox mode

-bug fix - pdf text search

-bug fix - lightbox close on click outside the book

-bug fix - lightboxMarginV, lighboxMarginH

-bug fix - webgl - lightboxCloseOnClick

-new - translate 

-fix for "2d" and "3d" modes when used caching plugin

-added new option "PDF text layer" for selectable text

-added PDF text search feature

-button "delete all pages" added

-bug fix for single page mode

-bug fixes for pinch zoom on IOS

-added page preloader for mode "swipe"

-bug fixes for mode "swipe"

-fix - disable menu buttons

-swipe mode improvements

-double tap zoom

-mouse wheel zoom enabled only in fullscreen

-lightbox open fade in


=================
version 3.3
=================

-new - view mode "swipe"


=================
version 3.2
=================

-added page shadows for webgl

-new light and shadow options


=================
version 3.1
=================

* Fix: scrollbar for table of content and thumbnails

* Fix: last page pdf not displaying

* Fix: side buttons options

- updated to latest FontAwesome icons

- added UI templates from plugin demo page


=================
version 3.0
=================

-fix - shortcode parameters for using one book multiple times with different options

-fix - page scroll on mobile

- responsive view for "3d" and "2d" modes

- page shadow for "3d" and "2d" modes

- improved stability on mobile 

- choose different view mode for mobile

- page resolution is 2048px by default

* Fix: lightbox fullscreen

* Fix: more pages are cached on desktop

* Fix: responsive view right to left

* Fix: zoom to mouse position for "3d" and "2d"

- autoplay loop

update 2.44
-mode "3d" added shadow page that is turning
-bug fixes and performance improvements

update 2.40
-fix for printing PDF
-other bug fixes and performance improvements

update 2.35
- performance improvements
* Fix: inner page shadow

update 2.30
* Fix: crashing on mobile after flipping number of pages

update 2.29
* Fix: admin panel CSS for tabs
* Fix: resize when closing fullscreen with ESC
- optimized plugin admin 

update 2.28
* New: menu position over book or below book (default)
* New: options for current page display
* New: options for responsive view
* Fix: delete all jpg pages
* Fix: button download PDF select file
- other minor bug fixes

update 2.25
- bug fixes
* Fix: go to specific page 
* New: options to customize the UI

update 2.22.1
-fix for pdf files that are double page with cover

update 2.22
-new - responsive webgl mode - single or double page view depending on screen size
-new - autoplay feature
-new - browser fullscreen when real fullscreen is not supported
-new - current page display
-fix - webgl mode performance optimization
-fix - better resolution of pdf pages
-fix - pdf page loading speed
-new - pdf flipbook - add title to pages (for table of content)
-new - pdf flipbook - add html content to pages
-fix - optimized plugin admin page

update 4.7.2016. v2.9
-important security update - removed 'connvert PDF to JPG' feature

update 21.6.2016. v2.18.8
-new - option to add logo
-improved pdf page loading speed
-fix for conflict with caching plugins
-new option transparent background
-pdf links open in new tab
-other small bug fixes

update 18.5.2016. v2.17
-improved page image quality
-improved performance
-new - option transparent background
-new - book middle shadow - adjustable width and color
-new - option antialiasing
-new - each book is now saved as separate options object in wp database
-new - shortcode - embed book by name
-new - shortcode - pass pdf url
-fixed - option lightbox opening in fullscreen

update 1.3.2016. 2.13 
-deeplinking and lightbox - if linked to page 1 the lightbox will open
-added support for internal links in pdf (for table of content)

update 26.2.2016 version 2.12.2
-fixed javascript bug $ undefined

update 26.2.2016 version 2.12
-added support for links inside PDF
-improved loading speed of PDF pages
-html content on pages working in mode "webgl"
-fix for scrollbars missing in 3d mode
-menu z-index fix
-pdf rendering improvements
-fix for single page mode (thumbnails and contents was opening the wrong page on click)

update 30.11.2015. version 2.9.6
- added option "btnDownloadPdf.openInNewWindow" - opens the pdf in new browser window
- fixed bug for first page on mobile
- fixed javascript error with "$" instead of "jQuery"

update 6.11.2015. version 2.9.3
- fix for table of content bug
- fix for current page disabled bug

update 28.10.2015. version 2.9
-new - pdf flipbook (flibook from pdf url) - pdf scales with book zoom, pages are sharp at all scales
-fix - html content on pages - click event was not working
-fix - bug that lightbox always starts on page load

update 19.10.2015. version 2.8.1.1
-fix for admin panel colors bug

update 18.10.2015. version 2.8.1
-change to "view all pages" and "table of content" views

update 8.10.2015. version 2.8.0.2
-fix for lightbox opening on page load
-fix for deeplinking

update 7.10.2015. version 2.8
-fix for 2 page and 3 page PDF flipbook and JPG flipbook
-fix for PDF files that have double page with single page cover
-fix for deeplinking
-improved performance for 3D and 2D mode for mobile devices
-many other minor bug fixes 

update 15.9.2015. version 2.7
-admin panel - new flipbooks screen, sort, bulk actions, undo
-admin panel - preview flipbook
-admin panel - color picker
-thumbs for pdf flipbook
-bug with thumbs loading at start
fix - print pdf
fix - 'undefined' page title
fix - jQuery.fn.swipe undefined 
fix - html content mouse click
fix - swipe bug - page not reacting to swipe sometimes
fix - shortcode inside widget

update 4.8.2015. version 2.6.6
fix - performance improvement for css3d mode
fix - image quality of jpg pages and pdf pages
fix - 2d mode css bug (fallback for IE9)

update 10.7.2015. version 2.6.5
fix - chrashing of css3d mode on IOS

update 10.7.2015. version 2.6.1
fix - lightbox mode bug 
new - option to hide bottom menu bar
fix - html content css
fix - bug with html content click handler

update 10.7.2015. version 2.6
new - page mode "doubleWithCover"- first and last pages are single pages, other pages are spreads
fix - bugs in css3d mode on mobile
fix - bug on mobile where playing flip sound was crashing the app
fix - bugs with extra pages added at the end of the book
fix - optimized pdf flipbook loading time and performance

update 22.6.2015. version 2.5
new - option to change texture size for webgl mode
new - page shadow for webgl mode
fix - improved page quality and performance in webgl mode by adding anisotropic texture filtering and changing texture site to power of two

update 2.6.2015. version 2.3.1
fix - page scroll when zoomed in IE, in CSS3D mode
fix - error in plugin-admin.php 

update 2.6.2015. version 2.2
new - option to enable/disable book rotation with click and drag (webgl mode)
new - option to enable/disable book rotation on mouse move (webgl mode)
new - set maximum and minimum pan and tilt angles for book rotation
new - current page display moved to bottom bar
fix - page turn on click

update 2.6.2015. version 2.1
new - webgl mode - page bends while dragging
new - option to use full sized images or down sized images for pages
new - more realistic flip animation
new - disable web page zoom 
fix - css3d mode perspective
fix - fullscreen for safari

update 28.5.2015. version 2.0.10
fix - css3d mode performance on mobile

update 27.5.2015. version 2.0.6
fix - for browsers that don't support WebGl
fix - for 'undefined' HTMLContent on pages
fix - css3d mode book shadow

update 27.5.2015. version 2.0.5
fix - perspective for css3d mode
fix - bug with menu caused by last update 

update 26.5.2015. version 2.0
new - add html content to pages (in css3d mode)
new - book pan and tilt for css3d mode
new - css3d mode book shadow
fix - fullscreen for safari

update 11.5.2015. version 1.6.0.1
fix - share buttons

update 11.5.2015. version 1.6
new - share system - pinterest, facebook, twitter, google plus, email
new - enable / disable navigation buttons for first and last page
new - option to backup flipbook (export all flipbooks to json) 

update 11.5.2015. version 1.5.0.1
fix for safari on windows
fix for page flip duration
fix for single page mode mobile
fix for going to page(pdf flipbook)
new - mobile settings - enable / disable buttons
new - set book pan and tilt angles for 3d mode

update 8.5.2015. version 1.5
New - swipe to turn pages
New - page drag
New - 3d mode rewritten - with smooth CSS transformations and page shadows 
New - single page mode - it can be used always or only on mobile devices
New - optional side navigation arrows
New - buttons for first and last page
Fiexd - webgl mode - book resize in portrait mode
Fiexd - webgl mode - book rotation disabled, click & drag now used to drag page
Fiexd - book size does not depend on the pages resolution anymore, zoom value of 1 makes the book fit the container

update 5.5.2015. 1.4.11
Fixed - bug that flipbook does not work in non-WebGl browsers 

update 21.4.2015. 1.4.10
Fixed - multiple books in pdf mode
Fixed - page display in webgl view mode
New - option to close table of content when page is selected
New - option to set minimum android version that will use WebGl view mode
New - WebGl view mode - point light, ambient light and directional light options

update 19.4.2015. 1.4.9
Fixed - centering of the book for webgl mode
Fixed - RTL for webgl mode

update 12.4.2015. 1.4.8
Fixed - bugs with zoom caused by recent updates
Fixed - light intensity in WebGl mode
Fixed - page resolution for pdf pages
Fixed - bug if folder on the server contains string "flipbook"
Fixed - scrollbars on table of content and thumbnails

update 10.4.2015. 1.4.7
Fixed - generate pages from pdf - generarted pages are saved in wp-content/uploads/real3dflipbook/book_name
New - custom css for lightbox container div
New - lightbox mode - option to show both thumbnail and text, option to add custom css to lightbox thumbnail and lightbox link
New - css3d mode - added option to remove left page shadow
Fixed - checkbox options saving
Fixed - bug in css3d mode

update 28.3.2015. 1.4.6
New - option to close lightbox with click outside the book
New - close lightbox with ESC key
Fixed - pdf flipbook - black background on transparrent pdf pages
Fixed - pdf flipbook - optimized speed of page loading 

update 1.2.2015. 1.4.5
New - option to use default browser viewer on mobile devices
New - option to force download pdf file instead of opening in default browser

update 22.1.2015. - version 1.4.4
Fixed - bug with zoom in Safari and other browsers that do not support WebGl
Fiexd - current page display
Fixed - table of content not closing when clicking close button

update 8.1.2015. - version 1.4.3
Fixed - thumbnails load on demand
New - print pages

update 10.12.2014. - version 1.4.2
Fixed - bug caused by the last update 1.4.1 - flipbook was not loading

update 9.12.2014. - version 1.4.1
Fixed - flipbook scroll when zoomed for ios8 - page will not flip if the book was moved

update 1.12.2014. - version 1.4
Fixed - load previous and next pages on flip complete
Fixed - add pages from multi pdfs - page numbers were wrong
Fixed - z-index of flipbook set to be always above the menu
New - viewMode 3d and 2d - first and last page are in the middle, and animating like in webgl view
New - default zoom levels changed 

update 17.11.2014. - version 1.3.7
Fixed - page order when adding pages from PDF
New - PDF page quality option - choose quality of generated jpg images to optimize the size for faster loading
New - PDF page background color option - choose background color of your PDF pages when they are rendered as transparent

update 5.11.2014. - version 1.3.6
Fixed - touch event error on laptops with touchscreen
New - generate pages from PDF in the admin panel
New - import pages from multiple PDF-s
New - combine pages from PDF and jpg pages 
New - rearrange / remove pages for PDF flipbook
New - edit table of content for PDF flipbook
New - thumbnails for PDF flipbook
Fixed - much faster loading times for PDF flipbook
Fidex - bugs with PDF rendering in some browsers

update 30.9.2014
Fixed - deeplinking bug in CSS3D mode
Fixed - menu resizing for small screens

update 14.9.2014
Fixed - bugs in PDF mode - some fonts were not displayded correctly